MCP Tools Reference: ces.googleapis.com

工具:list_apps

列出指定專案和位置中的應用程式。

下列程式碼範例說明如何使用 curl 呼叫 list_apps MCP 工具。

Curl 要求
curl --location 'https://ces.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_apps",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

輸入內容的結構定義

AgentService.ListApps 的要求訊息。

ListAppsRequest

JSON 表示法
{
  "parent": string,
  "pageSize": integer,
  "pageToken": string,
  "filter": string,
  "orderBy": string
}
欄位
parent

string

這是必要旗標,要列出應用程式的位置資源名稱。

pageSize

integer

選用。要求的頁面大小。伺服器傳回的項目數量可能少於要求數量。如未指定,伺服器會選擇適當的預設值。

pageToken

string

選用。先前清單 AgentService.ListApps 呼叫傳回的 next_page_token 值。

filter

string

選用。列出應用程式時要套用的篩選器。詳情請參閱 https://google.aip.dev/160。

orderBy

string

選用。排序依據欄位。僅支援「name」和「create_time」。詳情請參閱 https://google.aip.dev/132#ordering。

輸出內容的結構定義

AgentService.ListApps 的回應訊息。

ListAppsResponse

JSON 表示法
{
  "apps": [
    {
      object (App)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
欄位
apps[]

object (App)

應用程式清單。

nextPageToken

string

可做為 ListAppsRequest.page_token 傳送的權杖,用於擷取後續網頁。如果沒有這個欄位,表示沒有後續頁面。

unreachable[]

string

未排序的清單。無法連線的位置。

應用程式

JSON 表示法
{
  "name": string,
  "displayName": string,
  "description": string,
  "pinned": boolean,
  "rootAgent": string,
  "languageSettings": {
    object (LanguageSettings)
  },
  "timeZoneSettings": {
    object (TimeZoneSettings)
  },
  "audioProcessingConfig": {
    object (AudioProcessingConfig)
  },
  "loggingSettings": {
    object (LoggingSettings)
  },
  "errorHandlingSettings": {
    object (ErrorHandlingSettings)
  },
  "modelSettings": {
    object (ModelSettings)
  },
  "toolExecutionMode": enum (ToolExecutionMode),
  "evaluationMetricsThresholds": {
    object (EvaluationMetricsThresholds)
  },
  "variableDeclarations": [
    {
      object (VariableDeclaration)
    }
  ],
  "predefinedVariableDeclarations": [
    {
      object (VariableDeclaration)
    }
  ],
  "globalInstruction": string,
  "guardrails": [
    string
  ],
  "dataStoreSettings": {
    object (DataStoreSettings)
  },
  "defaultChannelProfile": {
    object (ChannelProfile)
  },
  "metadata": {
    string: string,
    ...
  },
  "createTime": string,
  "updateTime": string,
  "etag": string,
  "deploymentCount": integer,
  "clientCertificateSettings": {
    object (ClientCertificateSettings)
  },
  "vpcScSettings": {
    object (VpcScSettings)
  },
  "locked": boolean,
  "validationErrors": [
    string
  ],
  "dashboardSettings": {
    object (DashboardSettings)
  }
}
欄位
name

string

ID。應用程式的專屬 ID。格式:projects/{project}/locations/{location}/apps/{app}

displayName

string

這是必要旗標,應用程式的顯示名稱。

description

string

選用。人類可讀的應用程式說明。

pinned

boolean

選用。應用程式是否固定在應用程式清單中。

rootAgent

string

選用。根代理是應用程式的進入點。格式:projects/{project}/locations/{location}/apps/{app}/agents/{agent}

languageSettings

object (LanguageSettings)

選用。應用程式的語言設定。

timeZoneSettings

object (TimeZoneSettings)

選用。應用程式的時區設定。

audioProcessingConfig

object (AudioProcessingConfig)

選用。應用程式的音訊處理設定。

loggingSettings

object (LoggingSettings)

選用。應用程式的記錄設定。

errorHandlingSettings

object (ErrorHandlingSettings)

選用。應用程式的錯誤處理設定。

modelSettings

object (ModelSettings)

選用。應用程式的預設 LLM 模型設定。個別資源 (例如代理、護欄) 可視需要覆寫這些設定。

toolExecutionMode

enum (ToolExecutionMode)

選用。應用程式的工具執行模式。如未提供,則預設為 PARALLEL。

evaluationMetricsThresholds

object (EvaluationMetricsThresholds)

選用。應用程式的評估門檻。

variableDeclarations[]

object (VariableDeclaration)

選用。變數宣告。

predefinedVariableDeclarations[]

object (VariableDeclaration)

僅供輸出。應用程式預先定義變數的宣告。

globalInstruction

string

選用。應用程式中所有代理的操作說明。您可以使用這項操作說明,為所有代理設定穩定的身分或個性。

guardrails[]

string

選用。應用程式的護欄清單。格式:projects/{project}/locations/{location}/apps/{app}/guardrails/{guardrail}

dataStoreSettings

object (DataStoreSettings)

選用。應用程式的資料儲存庫設定。

defaultChannelProfile

object (ChannelProfile)

選用。應用程式使用的預設管道設定檔。

metadata

map (key: string, value: string)

選用。應用程式的中繼資料。這個欄位可用於儲存與應用程式詳細資料或預期用途相關的其他資訊。

包含 "key": value 組合清單的物件,例如 { "name": "wrench", "mass": "1.3kg", "count": "3" }。

createTime

string (Timestamp format)

僅供輸出。應用程式的建立時間戳記。

使用 RFC 3339,產生的輸出內容一律會經過 Z 正規化,並使用 0、3、6 或 9 個小數位數,也接受「Z」以外的偏移量。範例:"2014-10-02T15:01:23Z"、"2014-10-02T15:01:23.045123456Z" 或 "2014-10-02T15:01:23+05:30"。

updateTime

string (Timestamp format)

僅供輸出。上次更新應用程式的時間戳記。

使用 RFC 3339,產生的輸出內容一律會經過 Z 正規化,並使用 0、3、6 或 9 個小數位數,也接受「Z」以外的偏移量。範例:"2014-10-02T15:01:23Z"、"2014-10-02T15:01:23.045123456Z" 或 "2014-10-02T15:01:23+05:30"。

etag

string

僅供輸出。Etag 可確保物件在讀取-修改-寫入作業期間未變更。如果 etag 為空白,更新作業會覆寫所有並行變更。

deploymentCount

integer

僅供輸出。應用程式中的部署作業數量。

clientCertificateSettings

object (ClientCertificateSettings)

選用。應用程式的預設用戶端憑證設定。

vpcScSettings

object (VpcScSettings)

選用。應用程式的 VPC-SC 設定。

locked

boolean

選用。指出應用程式是否已鎖定,無法變更。如果應用程式已鎖定,系統會拒絕修改應用程式資源。

validationErrors[]

string

僅供輸出。應用程式設定錯誤或警告。

dashboardSettings

object (DashboardSettings)

選用。應用程式專屬資訊主頁設定,用於連結及設定 Contact Center Insights 資訊主頁。

LanguageSettings

JSON 表示法
{
  "defaultLanguageCode": string,
  "supportedLanguageCodes": [
    string
  ],
  "enableMultilingualSupport": boolean,
  "fallbackAction": string
}
欄位
defaultLanguageCode

string

選用。應用程式的預設語言代碼。

supportedLanguageCodes[]

string

選用。除了 default_language_code 之外,應用程式支援的語言代碼清單。

enableMultilingualSupport

boolean

選用。啟用多語言支援。如果true,應用程式中的代理會使用預先建構的指令,更妥善地處理多語言輸入內容。

fallbackAction
(deprecated)

string

選用。已淘汰:我們不再支援這項功能。請改用 enable_multilingual_support,提升多語言輸入內容的處理能力。代理收到不支援的語言的輸入內容時,應執行的動作。

可以是預先定義的動作或自訂工具呼叫。有效值包括:- 工具的完整資源名稱,會觸發特定工具執行。- 預先定義的系統動作,例如「提報」或「退出」,會觸發 EndSession 信號和對應的 metadata,終止對話。

TimeZoneSettings

JSON 表示法
{
  "timeZone": string
}
欄位
timeZone

string

選用。時區資料庫中的應用程式時區,例如 America/Los_Angeles、Europe/Paris。

AudioProcessingConfig

JSON 表示法
{
  "synthesizeSpeechConfigs": {
    string: {
      object (SynthesizeSpeechConfig)
    },
    ...
  },
  "bargeInConfig": {
    object (BargeInConfig)
  },
  "inactivityTimeout": string,
  "ambientSoundConfig": {
    object (AmbientSoundConfig)
  },
  "customVoiceSamples": [
    {
      object (CustomVoiceSample)
    }
  ]
}
欄位
synthesizeSpeechConfigs

map (key: string, value: object (SynthesizeSpeechConfig))

選用。代理回覆的合成方式設定,從語言代碼對應至 SynthesizeSpeechConfig。

如果找不到指定語言代碼的設定,系統會使用根語言代碼的設定。舉例來說,如果對應表包含「en-us」和「en」,而指定的語言代碼是「en-gb」,則會使用「en」設定。

注意:語言代碼不區分大小寫。

包含 "key": value 組合清單的物件,範例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }。

bargeInConfig

object (BargeInConfig)

選用。設定使用者插話活動的代理行為。

inactivityTimeout

string (Duration format)

選用。使用者閒置 (未說話或互動) 多久後,代理會提示使用者重新互動。如未設定,代理就不會提示使用者重新互動。

以秒為單位的時間長度,最多 9 個小數位數,結尾為「s」。例如:"3.5s"。

ambientSoundConfig

object (AmbientSoundConfig)

選用。設定與合成代理回覆一起播放的環境音,提高對話的自然度。

customVoiceSamples[]

object (CustomVoiceSample)

選用。設定用於語音複製的自訂語音樣本。

SynthesizeSpeechConfigsEntry

JSON 表示法
{
  "key": string,
  "value": {
    object (SynthesizeSpeechConfig)
  }
}
欄位
key

string

value

object (SynthesizeSpeechConfig)

SynthesizeSpeechConfig

JSON 表示法
{
  "voice": string,
  "speakingRate": number,
  "model": string,
  "instruction": string
}
欄位
voice

string

選用。語音的名稱。如未設定,服務會根據 language_code 等其他參數選擇語音。

如需可用語音清單,請參閱 Cloud Text-to-Speech 的支援的語音和語言。

speakingRate

number

選用。語速範圍為 [0.25, 2.0]。1.0 為特定語音支援的正常原生速度。2.0 為兩倍速,0.5 為一半的速度。如果值超出 [0.25, 2.0] 範圍,系統會傳回錯誤。

model

string

選用。用於合成音訊的模型。目前支援的值:-「gemini-3.1-flash-tts-preview」如果留空,則會使用 Chirp3-HD。

instruction

string

選用。使用生成模型時,用於合成語音的指令。

BargeInConfig

JSON 表示法
{
  "disableBargeIn": boolean,
  "bargeInAwareness": boolean
}
欄位
disableBargeIn
(deprecated)

boolean

選用。已淘汰:disable_barge_in 已淘汰,改用 ChannelProfile 中的 disable_barge_in_control。

停用使用者在代理說話時插話的功能。如果設為 true,系統會忽略代理回覆播放期間的使用者輸入內容。

bargeInAwareness

boolean

選用。啟用後,代理會假設使用者未聽完先前的完整訊息,並據此調整下一個回覆。如果代理的回覆會以視覺化方式呈現,請勿使用這個屬性。

持續時間

JSON 表示法
{
  "seconds": string,
  "nanos": integer
}
欄位
seconds

string (int64 format)

時間範圍的有號秒數。必須介於 -315,576,000,000 至 +315,576,000,000 之間 (含)。注意:這些界限的計算方式為:60 秒/分鐘 * 60 分鐘/小時 * 24 小時/天 * 365.25 天/年 * 10000 年

nanos

integer

時間範圍內以奈秒解析度表示的有正負號秒數分數。如果時間長度不到一秒,則會以 0 seconds 欄位和正或負 nanos 欄位表示。如果時間長度為一秒以上,nanos 欄位的非零值必須與 seconds 欄位具有相同的正負號。必須介於 -999,999,999 至 +999,999,999 之間 (含)。

AmbientSoundConfig

JSON 表示法
{
  "volumeGainDb": number,

  // Union field source can be only one of the following:
  "prebuiltAmbientNoise": enum (PrebuiltAmbientNoise),
  "gcsUri": string,
  "prebuiltAmbientSound": string
  // End of list of possible types for union field source.
}
欄位
volumeGainDb

number

選用。環境噪音支援的一般原生音量增益 (以分貝為單位),範圍為 [-96.0, 16.0]。如果設為 0.0 (dB) 或不予設定,系統會以正常原生訊號振幅播放。如果設為 -6.0 (dB),系統會以約為正常原生訊號振幅的一半振幅播放。如果設為 +6.0 (dB),系統會以約為正常原生訊號振幅的兩倍振幅播放。強烈建議您不要設定超過 +10 (dB) 的值,因為在超過這個值之後,通常就無法有效提高音量。

聯集欄位 source。與合成的代理回覆一起播放的環境噪音,可提高對話的自然度。source 只能是下列其中一個設定:
prebuiltAmbientNoise
(deprecated)

enum (PrebuiltAmbientNoise)

選用。已淘汰:prebuilt_ambient_noise 已淘汰,改用 prebuilt_ambient_sound。

gcsUri

string

選用。環境噪音:儲存在 Cloud Storage 的單聲道 16 kHz WAV 檔案。

注意:請確認 CES 服務代理 service-<PROJECT-NUMBER>@gcp-sa-ces.iam.gserviceaccount.com 具備 Cloud Storage 物件的 storage.objects.get 權限。

prebuiltAmbientSound

string

選用。預建環境音效的名稱。有效值如下:- "coffee_shop" - "keyboard" - "keypad" - "hum" - "office_1" - "office_2" - "office_3" - "room_1" - "room_2" - "room_3" - "room_4" - "room_5" - "air_conditioner"

CustomVoiceSample

JSON 表示法
{
  "name": string,
  "voiceSampleGcsUri": string,
  "consentAudioGcsUri": string,
  "voiceInstruction": string,
  "previewAudioContent": string,
  "previewText": string,
  "warnings": [
    {
      object (Warning)
    }
  ],
  "voiceInstructionMode": enum (VoiceInstructionMode)
}
欄位
name

string

選用。使用者定義的自訂語音樣本名稱。

voiceSampleGcsUri

string

選用。用於語音複製的音訊樣本 Cloud Storage URI。音訊樣本應為單聲道、24kHz 的 WAV 檔案。

consentAudioGcsUri

string

選用。同意複製語音的音訊。

voiceInstruction

string

選用。語音風格、語調、語速或發音的自然語言指令。

previewAudioContent

string (bytes format)

僅供輸出。自訂語音的合成試聽音訊,格式為標準 WAV (LINEAR16、24kHz、16 位元、單聲道)。

Base64 編碼字串。

previewText

string

選用。用於合成 Custom Voice 預覽音訊的文字。

warnings[]

object (Warning)

僅供輸出。語音複製處理期間出現的警告訊息 (例如音訊音量過低)。

voiceInstructionMode

enum (VoiceInstructionMode)

選用。語音範例的指示模式。如未指定,預設值為 NO_INSTRUCTION。

警告

JSON 表示法
{
  "message": string,
  "type": enum (WarningType)
}
欄位
message

string

僅供輸出。人類可讀的警告說明。

type

enum (WarningType)

僅供輸出。警告類型。

LoggingSettings

JSON 表示法
{
  "redactionConfig": {
    object (RedactionConfig)
  },
  "audioRecordingConfig": {
    object (AudioRecordingConfig)
  },
  "unredactedAudioRecordingConfig": {
    object (AudioRecordingConfig)
  },
  "bigqueryExportSettings": {
    object (BigQueryExportSettings)
  },
  "unredactedBigqueryExportSettings": {
    object (BigQueryExportSettings)
  },
  "cloudLoggingSettings": {
    object (CloudLoggingSettings)
  },
  "conversationLoggingSettings": {
    object (ConversationLoggingSettings)
  },
  "evaluationAudioRecordingConfig": {
    object (AudioRecordingConfig)
  },
  "metricAnalysisSettings": {
    object (MetricAnalysisSettings)
  },
  "requiredRecordingConsent": boolean
}
欄位
redactionConfig

object (RedactionConfig)

選用。機密資料遮蓋方式的設定。

audioRecordingConfig

object (AudioRecordingConfig)

選用。音訊互動記錄方式的設定。音訊會根據 RedactionConfig 中的設定進行遮蓋。

unredactedAudioRecordingConfig

object (AudioRecordingConfig)

選用。設定額外錄製未遮蓋的音訊。如果音訊遮蓋功能為 enabled,這項設定可用於保留原始音訊副本,通常用於稽核或監控。

bigqueryExportSettings

object (BigQueryExportSettings)

選用。設定應用程式的 BigQuery Export 行為。對話資料會依據 RedactionConfig 中的設定進行遮蓋。

unredactedBigqueryExportSettings

object (BigQueryExportSettings)

選用。設定應用程式的 BigQuery 匯出行為。啟用後,未遮蓋的對話資料會匯出至 BigQuery 資料表。

cloudLoggingSettings

object (CloudLoggingSettings)

選用。說明應用程式 Cloud Logging 行為的設定。

conversationLoggingSettings

object (ConversationLoggingSettings)

選用。用於描述應用程式對話記錄行為的設定。

evaluationAudioRecordingConfig

object (AudioRecordingConfig)

選用。設定如何錄製音訊互動,以進行評估。根據預設,評估工作階段不會啟用音訊錄音功能。

metricAnalysisSettings

object (MetricAnalysisSettings)

選用。設定應用程式 LLM 分析管道的對話資料收集行為。

requiredRecordingConsent

boolean

選用。應用程式是否必須先說明可能記錄的內容,才能保留任何內容。

如果設為 true,工作階段開始時會關閉錄音功能,直到用戶端傳送 SessionInput.recording_control 為止,屆時系統會決定從該時間點開始的每個回合。包括音訊錄音、對話記錄、BigQuery Export 和 Cloud Logging。

如果設為 false (預設值),上述設定會自行決定,用戶端不必傳送任何內容。

RedactionConfig

JSON 表示法
{
  "enableRedaction": boolean,
  "inspectTemplate": string,
  "deidentifyTemplate": string
}
欄位
enableRedaction

boolean

選用。如果設為 true,系統會在各種記錄情境中套用遮蓋功能,包括對話記錄、Cloud Logging 和音訊錄音。

inspectTemplate

string

選用。DLP 檢查範本名稱,用於設定機密資料類型的偵測。

格式:projects/{project}/locations/{location}/inspectTemplates/{inspect_template}

deidentifyTemplate

string

選用。DLP 去識別化範本名稱,用於指示如何將內容去識別化。

格式:projects/{project}/locations/{location}/deidentifyTemplates/{deidentify_template}

AudioRecordingConfig

JSON 表示法
{
  "gcsBucket": string,
  "gcsPathPrefix": string
}
欄位
gcsBucket

string

選用。用於儲存工作階段音訊錄音檔的 Cloud Storage bucket。URI 開頭必須是「gs://」。

請選擇符合資料落地規定的 bucket 位置。

注意:如果 Cloud Storage bucket 與應用程式位於不同專案,請將 storage.objects.create 權限授予 CES 服務代理 service-<PROJECT-NUMBER>@gcp-sa-ces.iam.gserviceaccount.com。

gcsPathPrefix

string

選用。錄音檔的 Cloud Storage 路徑前置字串。

這個前置字元可包含下列預留位置,這些預留位置會在提供時動態替換:- $project:專案 ID - $location:應用程式位置 - $app:應用程式 ID - $date:工作階段日期,格式為 YYYY-MM-DD - $session:工作階段 ID

如未指定路徑前置字串,系統會使用預設前置字串 $project/$location/$app/$date/$session/。

BigQueryExportSettings

JSON 表示法
{
  "enabled": boolean,
  "project": string,
  "dataset": string
}
欄位
enabled

boolean

選用。指出是否啟用 BigQuery Export。

project

string

選用。要匯出資料的 BigQuery 資料集專案 ID。

注意:如果 BigQuery 資料集與應用程式位於不同專案,請將 roles/bigquery.admin 角色授予 CES 服務代理 service-<PROJECT-NUMBER>@gcp-sa-ces.iam.gserviceaccount.com。

dataset

string

選用。要匯出資料的 BigQuery 資料集 ID。

CloudLoggingSettings

JSON 表示法
{
  "enableCloudLogging": boolean
}
欄位
enableCloudLogging

boolean

選用。是否要為工作階段啟用 Cloud Logging。

ConversationLoggingSettings

JSON 表示法
{
  "disableConversationLogging": boolean,
  "retentionWindow": string
}
欄位
disableConversationLogging

boolean

選用。是否要停用工作階段的對話記錄功能。

retentionWindow

string (Duration format)

選用。控制對話的保留期。如未設定,對話會保留 365 天。

以秒為單位的時間長度,最多 9 個小數位數,結尾為「s」。例如:"3.5s"。

MetricAnalysisSettings

JSON 表示法
{
  "llmMetricsOptedOut": boolean
}
欄位
llmMetricsOptedOut

boolean

選用。是否要收集對話資料,用於 LLM 分析指標。如果設為 true,系統就不會收集對話資料,用於 LLM 分析指標;否則會收集對話資料。

ErrorHandlingSettings

JSON 表示法
{
  "errorHandlingStrategy": enum (ErrorHandlingStrategy),
  "fallbackResponseConfig": {
    object (FallbackResponseConfig)
  },
  "endSessionConfig": {
    object (EndSessionConfig)
  }
}
欄位
errorHandlingStrategy

enum (ErrorHandlingStrategy)

選用。錯誤處理策略。

fallbackResponseConfig

object (FallbackResponseConfig)

選用。處理備用回應的設定。

endSessionConfig

object (EndSessionConfig)

選用。發生系統錯誤 (例如 LLM 錯誤) 時,結束工作階段的設定。

FallbackResponseConfig

JSON 表示法
{
  "customFallbackMessages": {
    string: string,
    ...
  },
  "maxFallbackAttempts": integer
}
欄位
customFallbackMessages

map (key: string, value: string)

選用。發生系統錯誤 (例如 LLM 錯誤) 時的備用訊息,依支援的語言代碼對應。

包含 "key": value 組合清單的物件,範例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }。

maxFallbackAttempts

integer

選用。代理在發出 EndSession 信號前,嘗試備用方案的次數上限。

CustomFallbackMessagesEntry

JSON 表示法
{
  "key": string,
  "value": string
}
欄位
key

string

value

string

EndSessionConfig

JSON 表示法
{

  // Union field _escalate_session can be only one of the following:
  "escalateSession": boolean
  // End of list of possible types for union field _escalate_session.
}
欄位

聯集欄位 _escalate_session。

_escalate_session 只能是下列其中一個設定:

escalateSession

boolean

選用。是否要在 EndSession 中提報工作階段。如果工作階段已提報,metadata in EndSession 會包含 session_escalated = true。詳情請參閱 https://docs.cloud.google.com/customer-engagement-ai/conversational-agents/ps/deploy/google-telephony-platform#transfer_a_call_to_a_human_agent。

ModelSettings

JSON 表示法
{
  "model": string,
  "thinkingLevel": enum (ThinkingLevel),

  // Union field _temperature can be only one of the following:
  "temperature": number
  // End of list of possible types for union field _temperature.
}
欄位
model

string

選用。代理應使用的 LLM 模型。如未設定,代理會沿用上層代理的模型。

thinkingLevel

enum (ThinkingLevel)

選用。模型的思考程度。

聯集欄位 _temperature。

_temperature 只能是下列其中一個設定:

temperature

number

選用。如果設定,LLM 模型會使用這個溫度。Temperature 參數可控制模型回覆的隨機程度。溫度越低,回覆越容易預測。溫度越高,回覆越有創意。

EvaluationMetricsThresholds

JSON 表示法
{
  "goldenEvaluationMetricsThresholds": {
    object (GoldenEvaluationMetricsThresholds)
  },
  "hallucinationMetricBehavior": enum (HallucinationMetricBehavior),
  "goldenHallucinationMetricBehavior": enum (HallucinationMetricBehavior),
  "scenarioHallucinationMetricBehavior": enum (HallucinationMetricBehavior)
}
欄位
goldenEvaluationMetricsThresholds

object (GoldenEvaluationMetricsThresholds)

選用。黃金評估指標門檻。

hallucinationMetricBehavior
(deprecated)

enum (HallucinationMetricBehavior)

選用。已淘汰:請改用 golden_hallucination_metric_behavior。幻覺指標行為目前用於黃金評估。

goldenHallucinationMetricBehavior

enum (HallucinationMetricBehavior)

選用。黃金評估的幻覺指標行為。

scenarioHallucinationMetricBehavior

enum (HallucinationMetricBehavior)

選用。情境評估的幻覺指標行為。

GoldenEvaluationMetricsThresholds

JSON 表示法
{
  "turnLevelMetricsThresholds": {
    object (TurnLevelMetricsThresholds)
  },
  "expectationLevelMetricsThresholds": {
    object (ExpectationLevelMetricsThresholds)
  },
  "toolMatchingSettings": {
    object (ToolMatchingSettings)
  }
}
欄位
turnLevelMetricsThresholds

object (TurnLevelMetricsThresholds)

選用。回合層級指標門檻。

expectationLevelMetricsThresholds

object (ExpectationLevelMetricsThresholds)

選用。預期層級指標門檻。

toolMatchingSettings

object (ToolMatchingSettings)

選用。工具比對設定。額外工具呼叫是指執行過程中出現,但與黃金期望中的任何工具呼叫都不相符的工具呼叫。

TurnLevelMetricsThresholds

JSON 表示法
{
  "semanticSimilarityChannel": enum (SemanticSimilarityChannel),

  // Union field _semantic_similarity_success_threshold can be only one of the
  // following:
  "semanticSimilaritySuccessThreshold": integer
  // End of list of possible types for union field
  // _semantic_similarity_success_threshold.

  // Union field _overall_tool_invocation_correctness_threshold can be only one
  // of the following:
  "overallToolInvocationCorrectnessThreshold": number
  // End of list of possible types for union field
  // _overall_tool_invocation_correctness_threshold.
}
欄位
semanticSimilarityChannel

enum (SemanticSimilarityChannel)

選用。用於評估的語意相似度管道。

聯集欄位 _semantic_similarity_success_threshold。

_semantic_similarity_success_threshold 只能是下列其中一個設定:

semanticSimilaritySuccessThreshold

integer

選用。語意相似度的成功門檻。必須是介於 0 到 4 之間的整數。預設值為 >= 3。

聯集欄位 _overall_tool_invocation_correctness_threshold。

_overall_tool_invocation_correctness_threshold 只能是下列其中一個設定:

overallToolInvocationCorrectnessThreshold

number

選用。整體工具叫用正確性的成功門檻。必須是介於 0 到 1 之間的浮點數。預設值為 1.0。

ExpectationLevelMetricsThresholds

JSON 表示法
{

  // Union field _tool_invocation_parameter_correctness_threshold can be only one
  // of the following:
  "toolInvocationParameterCorrectnessThreshold": number
  // End of list of possible types for union field
  // _tool_invocation_parameter_correctness_threshold.
}
欄位

聯集欄位 _tool_invocation_parameter_correctness_threshold。

_tool_invocation_parameter_correctness_threshold 只能是下列其中一個設定:

toolInvocationParameterCorrectnessThreshold

number

選用。個別工具叫用參數正確性的成功門檻。必須是介於 0 到 1 之間的浮點數。預設值為 1.0。

ToolMatchingSettings

JSON 表示法
{
  "extraToolCallBehavior": enum (ExtraToolCallBehavior)
}
欄位
extraToolCallBehavior

enum (ExtraToolCallBehavior)

選用。額外工具呼叫的行為。預設值為 FAIL。

VariableDeclaration

JSON 表示法
{
  "name": string,
  "description": string,
  "schema": {
    object (Schema)
  }
}
欄位
name

string

這是必要旗標,變數名稱。名稱只能使用英文字母、數字或底線,開頭須為英文字母或底線。

description

string

這是必要旗標,變數的說明。

schema

object (Schema)

這是必要旗標,變數的結構定義。

結構定義

JSON 表示法
{
  "type": enum (Type),
  "properties": {
    string: {
      object (Schema)
    },
    ...
  },
  "required": [
    string
  ],
  "description": string,
  "items": {
    object (Schema)
  },
  "nullable": boolean,
  "uniqueItems": boolean,
  "prefixItems": [
    {
      object (Schema)
    }
  ],
  "additionalProperties": {
    object (Schema)
  },
  "anyOf": [
    {
      object (Schema)
    }
  ],
  "enum": [
    string
  ],
  "default": value,
  "ref": string,
  "defs": {
    string: {
      object (Schema)
    },
    ...
  },
  "title": string,
  "minItems": string,
  "maxItems": string,

  // Union field _minimum can be only one of the following:
  "minimum": number
  // End of list of possible types for union field _minimum.

  // Union field _maximum can be only one of the following:
  "maximum": number
  // End of list of possible types for union field _maximum.
}
欄位
type

enum (Type)

這是必要旗標,資料類型。

properties

map (key: string, value: object (Schema))

選用。Type.OBJECT 的屬性。

包含 "key": value 組合清單的物件,範例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }。

required[]

string

選用。Type.OBJECT 的必要屬性。

description

string

選用。資料說明。

items

object (Schema)

選用。Type.ARRAY 元素的結構定義。

nullable

boolean

選用。指出值是否可能為空值。

uniqueItems

boolean

選用。指出陣列中的項目不得重複。僅適用於 TYPE.ARRAY。

prefixItems[]

object (Schema)

選用。Type.ARRAY 初始元素的結構定義。

additionalProperties

object (Schema)

選用。可以是布林值或物件,用於控制是否顯示其他屬性。

anyOf[]

object (Schema)

選用。值應根據清單中的任何 (一或多個) 子結構定義進行驗證。

enum[]

string

選用。列舉格式的基本類型元素可能值。範例:1. 我們可以將方向定義為:{type:STRING, format:enum, enum:["EAST", NORTH", "SOUTH", "WEST"]} 2. 我們可以將公寓號碼定義為:{type:INTEGER, format:enum, enum:["101", "201", "301"]}

default

value (Value format)

選用。資料的預設值。

ref

string

選用。允許結構定義節點之間間接參照。值應為根 defs 子項的有效參照。

舉例來說,下列結構定義定義了名為「Pet」的結構定義節點參照:

type: object
properties:
  pet:
    ref: #/defs/Pet
defs:
  Pet:
    type: object
    properties:
      name:
        type: string

「pet」屬性的值是名為「Pet」的結構定義節點參照。詳情請參閱 https://json-schema.org/understanding-json-schema/structuring。

defs

map (key: string, value: object (Schema))

選用。ref 使用的定義對應。只能在結構定義的根層級使用。

包含 "key": value 組合清單的物件,範例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }。

title

string

選用。結構定義的標題。

minItems

string (int64 format)

選用。Type.ARRAY 的元素數量下限。

maxItems

string (int64 format)

選用。Type.ARRAY 的元素數量上限。

聯集欄位 _minimum。

_minimum 只能是下列其中一個設定:

minimum

number

選用。Type.INTEGER 和 Type.NUMBER 的最小值。

聯集欄位 _maximum。

_maximum 只能是下列其中一個設定:

maximum

number

選用。Type.INTEGER 和 Type.NUMBER 的最大值。

PropertiesEntry

JSON 表示法
{
  "key": string,
  "value": {
    object (Schema)
  }
}
欄位
key

string

value

object (Schema)

值

JSON 表示法
{

  // Union field kind can be only one of the following:
  "nullValue": null,
  "numberValue": number,
  "stringValue": string,
  "boolValue": boolean,
  "structValue": {
    object
  },
  "listValue": array
  // End of list of possible types for union field kind.
}
欄位
聯集欄位 kind。值的種類。kind 只能是下列其中一個設定:
nullValue

null

代表 JSON null。

numberValue

number

代表 JSON 數字。不得為 NaN、Infinity 或 -Infinity,因為 JSON 不支援這些值。此外,這也無法代表大型 Int64 值,因為 JSON 格式通常不支援數字類型的 Int64 值。

stringValue

string

代表 JSON 字串。

boolValue

boolean

代表 JSON 布林值 (JSON 中的 true 或 false 常值)。

structValue

object (Struct format)

代表 JSON 物件。

listValue

array (ListValue format)

代表 JSON 陣列。

結構

JSON 表示法
{
  "fields": {
    string: value,
    ...
  }
}
欄位
fields

map (key: string, value: value (Value format))

動態類型值的無序對應。

包含 "key": value 組合清單的物件,範例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }。

FieldsEntry

JSON 表示法
{
  "key": string,
  "value": value
}
欄位
key

string

value

value (Value format)

ListValue

JSON 表示法
{
  "values": [
    value
  ]
}
欄位
values[]

value (Value format)

動態類型值的重複欄位。

DefsEntry

JSON 表示法
{
  "key": string,
  "value": {
    object (Schema)
  }
}
欄位
key

string

value

object (Schema)

DataStoreSettings

JSON 表示法
{
  "engines": [
    {
      object (Engine)
    }
  ]
}
欄位
engines[]

object (Engine)

僅供輸出。應用程式的引擎。

引擎

JSON 表示法
{
  "name": string,
  "type": enum (Type)
}
欄位
name

string

僅供輸出。引擎的資源名稱。格式:projects/{project}/locations/{location}/collections/{collection}/engines/{engine}

type

enum (Type)

僅供輸出。引擎類型。

ChannelProfile

JSON 表示法
{
  "profileId": string,
  "channelType": enum (ChannelType),
  "personaProperty": {
    object (PersonaProperty)
  },
  "webWidgetConfig": {
    object (WebWidgetConfig)
  },
  "whatsappConfig": {
    object (WhatsAppConfig)
  },
  "instagramConfig": {
    object (InstagramConfig)
  },

  // Union field _disable_dtmf can be only one of the following:
  "disableDtmf": boolean
  // End of list of possible types for union field _disable_dtmf.

  // Union field _disable_barge_in_control can be only one of the following:
  "disableBargeInControl": boolean
  // End of list of possible types for union field _disable_barge_in_control.

  // Union field _noise_suppression_level can be only one of the following:
  "noiseSuppressionLevel": string
  // End of list of possible types for union field _noise_suppression_level.
}
欄位
profileId

string

選用。管道設定檔的專屬 ID。

channelType

enum (ChannelType)

選用。管道設定檔的類型。

personaProperty

object (PersonaProperty)

選用。頻道個人資料的人物角色屬性。

webWidgetConfig

object (WebWidgetConfig)

選用。網頁小工具的設定。

whatsappConfig

object (WhatsAppConfig)

選用。WhatsApp 部署作業專屬設定。

instagramConfig

object (InstagramConfig)

選用。Instagram 部署作業專屬設定。

聯集欄位 _disable_dtmf。

_disable_dtmf 只能是下列其中一個設定:

disableDtmf

boolean

選用。是否停用 DTMF (雙音多頻)。

聯集欄位 _disable_barge_in_control。

_disable_barge_in_control 只能是下列其中一個設定:

disableBargeInControl

boolean

選用。是否停用對話中的使用者插話控制項。- true:代理說話時,使用者無法中斷。- false:代理會自動控制使用者何時可以中斷。

聯集欄位 _noise_suppression_level。

_noise_suppression_level 只能是下列其中一個設定:

noiseSuppressionLevel

string

選用。頻道設定檔的雜訊抑制等級。可用值為「low」、「moderate」、「high」、「very_high」。

PersonaProperty

JSON 表示法
{
  "persona": enum (Persona)
}
欄位
persona

enum (Persona)

選用。頻道的人物設定。

WebWidgetConfig

JSON 表示法
{
  "modality": enum (Modality),
  "theme": enum (Theme),
  "webWidgetTitle": string,
  "securitySettings": {
    object (SecuritySettings)
  }
}
欄位
modality

enum (Modality)

選用。網頁小工具的模態。

theme

enum (Theme)

選用。網頁小工具的主題。

webWidgetTitle

string

選用。網頁小工具的標題。

securitySettings

object (SecuritySettings)

選用。網頁小工具的安全性設定。

SecuritySettings

JSON 表示法
{
  "enablePublicAccess": boolean,
  "enableOriginCheck": boolean,
  "allowedOrigins": [
    string
  ],
  "enableRecaptcha": boolean
}
欄位
enablePublicAccess

boolean

選用。指出是否已啟用網頁小工具的公開存取權。如果設為 true,則可公開存取網頁小工具。如果設為 false,網頁小工具必須與您自己的驗證和授權系統整合,才能傳回有效的憑證,用於存取 CES 代理。

enableOriginCheck

boolean

選用。指出是否啟用網頁小工具的來源檢查。如果 true,網頁小工具會檢查載入網頁小工具的網站來源,且只允許在相同來源或任何允許的來源中載入。

allowedOrigins[]

string

選用。允許託管網頁小工具的來源。來源由 RFC 6454 定義。如果留空,則允許所有來源。最多可設定 100 個來源。例如:「https://example.com」

enableRecaptcha

boolean

選用。指出是否已啟用網頁小工具的 reCAPTCHA 驗證。

WhatsAppConfig

JSON 表示法
{
  "wabaId": string,
  "phoneNumberId": string,
  "phoneNumber": string,
  "displayName": string,
  "thumbnailUrl": string,
  "description": string
}
欄位
wabaId

string

這是必要旗標,WhatsApp Business 帳戶 ID。

phoneNumberId

string

這是必要旗標,Meta 電話號碼 ID。

phoneNumber

string

選用。電話號碼,格式為 E.164。

displayName

string

僅供輸出。擷取的 Meta 商家頁面名稱。

thumbnailUrl

string

僅供輸出。擷取的 Meta 商家檔案縮圖網址。

description

string

僅供輸出。Meta 商家專頁或商家檔案的說明。

InstagramConfig

JSON 表示法
{
  "instagramAccountId": string,
  "displayName": string,
  "thumbnailUrl": string,
  "description": string
}
欄位
instagramAccountId

string

這是必要旗標,Instagram 帳戶 ID。

displayName

string

僅供輸出。擷取的 Meta 商家頁面名稱。

thumbnailUrl

string

僅供輸出。擷取的 Meta 商家檔案縮圖網址。

description

string

僅供輸出。Meta 商家專頁或商家檔案的說明。

MetadataEntry

JSON 表示法
{
  "key": string,
  "value": string
}
欄位
key

string

value

string

時間戳記

JSON 表示法
{
  "seconds": string,
  "nanos": integer
}
欄位
seconds

string (int64 format)

代表自 Unix 紀元 1970-01-01T00:00:00Z 起算的世界標準時間秒數。必須介於 -62135596800 和 253402300799 (含) 之間 (對應至 0001-01-01T00:00:00Z 至 9999-12-31T23:59:59Z)。

nanos

integer

非負數的秒數分數,解析度為奈秒。這個欄位是時間長度的奈秒部分,而非秒數的替代值。含有分數的負秒值仍須有非負奈秒值,以向前計算時間。必須介於 0 至 999,999,999 之間 (含 0 和 999,999,999)。

ClientCertificateSettings

JSON 表示法
{
  "tlsCertificate": string,
  "privateKey": string,
  "passphrase": string
}
欄位
tlsCertificate

string

這是必要旗標,以 PEM 格式編碼的 TLS 憑證。這個字串必須包含開頭標頭和結尾頁尾行。

privateKey

string

這是必要旗標,SecretManager 密鑰版本資源的名稱,用於儲存以 PEM 格式編碼的私密金鑰。格式:projects/{project}/secrets/{secret}/versions/{version}

passphrase

string

選用。SecretManager Secret 版本資源的名稱,用於儲存解密私密金鑰的通關密語。如果私密金鑰未加密,請勿設定這個欄位。格式:projects/{project}/secrets/{secret}/versions/{version}

VpcScSettings

JSON 表示法
{
  "allowedOrigins": [
    string
  ]
}
欄位
allowedOrigins[]

string

選用。啟用 VPC Service Controls 時,應用程式中的 OpenAPI 工具可直接呼叫的允許 HTTP(S) 來源。這些字串必須與來源完全相符,包括指定的通訊埠。例如「https://example.com」或「https://example.com:443」。這份清單尚未套用至可能直接發出 HTTP 呼叫的 Python 工具。

DashboardSettings

JSON 表示法
{
  "defaultDashboard": string
}
欄位
defaultDashboard

string

選用。與應用程式相關聯的預設 Contact Center Insights 資訊主頁資源名稱。使用者前往應用程式的「監控」檢視畫面時,就會看到這個資訊主頁。

格式:projects/{project}/locations/{location}/dashboards/{dashboard}

PrebuiltAmbientNoise

預建環境噪音。

列舉
PREBUILT_AMBIENT_NOISE_UNSPECIFIED 不指定。
RETAIL_STORE 零售商店的環境噪音。
CONVENTION_HALL 活動大樓的環境噪音。
OUTDOOR 街道的環境噪音。

WarningType

處理語音樣本時遇到的警告類型。

列舉
WARNING_TYPE_UNSPECIFIED 未指定的警告類型。
LOW_AUDIO_LEVEL 語音樣本的音量過低 (例如均方根振幅過低)。

VoiceInstructionMode

語音樣本的指示模式。

列舉
VOICE_INSTRUCTION_MODE_UNSPECIFIED 未指定指令模式。預設值為 NO_INSTRUCTION。
NO_INSTRUCTION 不會使用語音指示。
GENERATE_INSTRUCTION AI 會根據音訊樣本自動生成語音指示。
CUSTOM_INSTRUCTION 使用者提供的自訂語音指令。

ErrorHandlingStrategy

定義錯誤處理策略。

列舉
ERROR_HANDLING_STRATEGY_UNSPECIFIED 未指定不明錯誤處理策略。
NONE 未啟用任何特定處理方式。
FALLBACK_RESPONSE 如果發生系統錯誤 (例如 LLM 錯誤),系統會向使用者傳回備用訊息。
END_SESSION 如果發生系統錯誤 (例如 LLM 錯誤),系統會發出 EndSession 信號。

ThinkingLevel

模型的思考程度設定。

列舉
THINKING_LEVEL_UNSPECIFIED 未指定思考程度。
DEFAULT 預設思考程度。
LOW 低思考程度。
MEDIUM 中度思考。
HIGH 高思考程度。

ToolExecutionMode

定義代理同時選取多個工具時,工具的執行行為。

列舉
TOOL_EXECUTION_MODE_UNSPECIFIED 未指定工具執行模式。預設為 PARALLEL。
PARALLEL 如果選取多項工具,系統會使用相同的 ToolContext 平行執行這些工具。
SEQUENTIAL 如果選取多項工具,系統會依序執行。前一個工具執行完畢後,下一個工具才會執行,並可查看前一個工具更新後的 ToolContext。

SemanticSimilarityChannel

要使用的語意相似度管道。

列舉
SEMANTIC_SIMILARITY_CHANNEL_UNSPECIFIED 未指定指標。預設為 TEXT。
TEXT 使用文字語意相似度。
AUDIO 使用音訊語意相似度。

ExtraToolCallBehavior

定義遇到額外工具呼叫時的行為。額外工具呼叫是指執行過程中出現,但與黃金期望中的任何工具呼叫都不相符的工具呼叫。

列舉
EXTRA_TOOL_CALL_BEHAVIOR_UNSPECIFIED 未指定行為。預設值為 FAIL。
FAIL 如果遇到額外的工具呼叫,評估就會失敗。
ALLOW 允許額外的工具呼叫。

HallucinationMetricBehavior

幻覺指標行為。無論行為如何,系統一律會計算指標。差別在於,停用指標後,系統就不會使用該指標計算整體評估分數。

列舉
HALLUCINATION_METRIC_BEHAVIOR_UNSPECIFIED 未指定的幻覺指標行為。
DISABLED 停用幻覺指標。
ENABLED 啟用幻覺指標。

類型

OpenAPI 資料類型。

列舉
TYPE_UNSPECIFIED 未指定類型。
STRING 字串類型。
INTEGER 整數類型。
NUMBER 數字類型。
BOOLEAN 布林值類型。
OBJECT 物件類型。
ARRAY 陣列類型。

NullValue

代表 JSON null。

NullValue 是哨兵,使用只有一個值的列舉,代表 Value 類型聯集的空值。

NullValue 類型的欄位若含有 0 以外的值,則視為無效。無論整數值為何,大多數 ProtoJSON 序列化工具都會發出 Value,並將 null_value 設為 JSON null,因此會來回 0 值。

列舉
NULL_VALUE 空值。

類型

引擎類型,請參閱 https://cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1/SolutionType 和 https://cloud.google.com/generative-ai-app-builder/docs/create-datastore-ingest 的說明文件。

列舉
TYPE_UNSPECIFIED 未指定引擎類型。
ENGINE_TYPE_CHAT 對話引擎類型。應用程式的 SOLUTION_TYPE_CHAT 引擎。新增至應用程式的所有連接器資料儲存庫,都會加入這個引擎。

ChannelType

管道設定檔的類型。

列舉
UNKNOWN 不明的管道類型。
WEB_UI 網頁 UI 管道。
API API 管道。
TWILIO Twilio 管道。
GOOGLE_TELEPHONY_PLATFORM Google Telephony Platform 管道。
CONTACT_CENTER_AS_A_SERVICE Contact Center as a Service (CCaaS) 管道。
CONTACT_CENTER_AS_A_SERVICE_CHAT Contact Center as a Service (CCaaS Chat) 管道。
FIVE9 Five9 管道。
CONTACT_CENTER_INTEGRATION 第三方客服中心整合管道。
WHATSAPP WhatsApp 管道。
INSTAGRAM Instagram 管道。

角色

頻道的人物設定。

列舉
UNKNOWN UNKNOWN 角色。
CONCISE 代理的回覆簡明扼要
CHATTY 代理會提供額外背景資訊、說明和詳細資料

模態

網頁小工具的互動模式。

列舉
MODALITY_UNSPECIFIED 不明模態。
CHAT_AND_VOICE 小工具支援即時通訊和語音輸入。
VOICE_ONLY 小工具僅支援語音輸入。
CHAT_ONLY 小工具僅支援對話輸入。
CHAT_VOICE_AND_VIDEO 小工具支援即時通訊、語音和影片輸入。

主題

網頁小工具的主題。

列舉
THEME_UNSPECIFIED 不明主題。
LIGHT 淺色主題。
DARK 深色主題。

工具註解

工具註解會傳送至 MCP 用戶端,說明特定工具的基本風險。大多數用戶端會將這些提示視為不受信任,但可用於決定何時向使用者傳送確認提示。

除了標題字串外,下列布林值提示的定義如下:

  • readOnlyHint:如果設為 true,工具不會修改環境。預設值:false。
  • destructiveHint:如果為 true,工具可以執行破壞性動作。如果為 false,則工具只能執行附加動作。預設值:true。
  • idempotentHint:如果設為 true,則使用相同引數重複呼叫工具,不會對環境造成額外影響。預設值:false。
  • openWorldHint:如果設為 true,工具就能與外部實體的「開放世界」互動。如果設為 false,工具只能與內部實體互動。舉例來說,網頁搜尋工具是開放世界,而記憶工具則不是。

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌